Bug 534261 - (RHQ-1074) need uninventory button in inventory tab
need uninventory button in inventory tab
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-11-06 20:45 EST by John Mazzitelli
Modified: 2013-09-02 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-11-06 20:45:00 EST
I want to uninventory a resource.  I'm at its inventory tab.  We should have an "uninventory" button here somewhere to make it easy to remove the resource from inventory.
Comment 1 Joseph Marques 2009-04-28 04:18:14 EDT
mazz, i'd prefer not to add this feature.  we used to have inventory and delete buttons in the inventory tab, but that seemingly (from the customer support cases i saw) only confused people.  so, the uninventory button was removed from that tab.  today, uninventory is restricted to the resource browser, while deleting a resource is restricted to the inventory tab.  let's see how customers respond to that with the 1.2 release, and we'll take it from there.

in other news, it's my plan to completed rewrite the resource browser such that is such a rich search interface.  with that in place, it will be less important (i think) to be able to uninventory from the resource tab.

that said, i'm willing to be convinced that this might also be solved by adjusting the text used.  maybe we should say "Uninventory" and "Delete and uninventory" to let people know that one is more damaging than the other, but that they both still affect inventory.
Comment 2 Red Hat Bugzilla 2009-11-10 15:23:19 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1074
Comment 3 wes hayutin 2010-02-16 12:09:08 EST
mass add of key word FutureFeature to help track
Comment 4 Jay Shaughnessy 2011-02-11 16:27:16 EST
We have this. This means the ability to uninventory from the children subtab.
Comment 5 Mike Foley 2011-04-19 08:44:50 EDT
this feature has been added.  i uninventoried resources successfully during the 4/29/2011 release.  uninventoried items appear again as discoverable resources in the auto-discovery portlet.
Comment 6 Heiko W. Rupp 2013-09-02 03:24:26 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.